summaryrefslogtreecommitdiff
path: root/pst/install-4cd-extra.sh
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
commit0d14bb784aa524de00c88e9a25bb812c5339cc43 (patch)
tree4e4d23f1a015fe0d6c6a02626f20fb7b9555de28 /pst/install-4cd-extra.sh
parent6ec9844921a2a465e02c26e0a09344aaff70fe93 (diff)
downloadgemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.tar.bz2
gemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.zip
Safely escaped all potentially unsafe variables.
And probably a couple already safe ones too.
Diffstat (limited to 'pst/install-4cd-extra.sh')
-rwxr-xr-xpst/install-4cd-extra.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/pst/install-4cd-extra.sh b/pst/install-4cd-extra.sh
index f66c79e..1344d65 100755
--- a/pst/install-4cd-extra.sh
+++ b/pst/install-4cd-extra.sh
@@ -17,8 +17,8 @@
# Extra Planescape: Torment (4CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -29,12 +29,12 @@ CD3="6ffd2c51a41603c7dca6196d9bef2e26"
CD4="b70322aaa7b1d61a168a766eba399085"
getcd 2 $CD2 cd2/movies2.bif
-copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd2/" "$TARGETDIR" || die
getcd 3 $CD3 cd3/AR0500.bif
-copylower "$CDMOUNT/cd3/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd3/" "$TARGETDIR" || die
getcd 4 $CD4 cd4/movies4.bif
-copylower "$CDMOUNT/cd4/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd4/" "$TARGETDIR" || die
setperms "$TARGETDIR"